Skip to main content
GET
/
api
/
organization
/
{organization_id}
/
entity-links
/
{entity_link_id}
Get Entity Link
curl --request GET \
  --url https://config.heyhumm.ai/api/organization/{organization_id}/entity-links/{entity_link_id} \
  --header 'Authorization: Bearer <token>'
{
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_integration_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target_integration_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "source_table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_saas_object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target_table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target_saas_object_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target_column_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "target_field_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "link_type": "PROBABILISTIC",
  "status": "SUGGESTED",
  "confidence_score": 123,
  "evidence": {}
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string<uuid> | null
required

Query Parameters

resource_id
string<uuid> | null
source_id
string<uuid> | null
integration_source_id
string<uuid> | null
data_source_id
string<uuid> | null
context_source_id
string<uuid> | null
job_id
string<uuid> | null

Response

Successful Response

Response model for entity links.

organization_id
string<uuid>
required

Organization that owns this entity link

source_integration_source_id
string<uuid>
required

Integration source containing the source entity

target_integration_source_id
string<uuid>
required

Integration source containing the target entity

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
source_table_id
string<uuid> | null

Source table ID (for DB sources)

source_saas_object_id
string<uuid> | null

Source SaaS object ID (for SaaS sources)

source_column_id
string<uuid> | null

Source column ID (for DB sources)

source_field_id
string<uuid> | null

Source field ID (for SaaS sources)

target_table_id
string<uuid> | null

Target table ID (for DB sources)

target_saas_object_id
string<uuid> | null

Target SaaS object ID (for SaaS sources)

target_column_id
string<uuid> | null

Target column ID (for DB sources)

target_field_id
string<uuid> | null

Target field ID (for SaaS sources)

Type of link (deterministic exact match vs probabilistic)

Available options:
DETERMINISTIC,
PROBABILISTIC
status
enum<string>
default:SUGGESTED

Review status of the entity link

Available options:
SUGGESTED,
APPROVED,
REJECTED
confidence_score
number | null

Confidence score assigned by the linking pipeline (0.0-1.0)

evidence
Evidence · object

Supporting evidence and calculations used to create the link